<?php

final class SemiStructuredInstanceSearchConduitAPIMethod
  extends PhabricatorSearchEngineAPIMethod {

  public function getAPIMethodName() {
    return 'semistructured.instance.search';
  }

  public function newSearchEngine() {
    return new SemiStructuredObjectInstanceSearchEngine();
  }

  public function getMethodSummary() {
    return pht('Read information about Object Instances.');
  }

}

// TODO search fields to allow:
// - custom fields
//    -> may be hard - fields not available early enough.
//       maybe just load all possible fields from all types?
// - class ID (vs phid) ?
// default output to include
// - class phid
// - raw data
// - custom fields
// - description, title
